# BaseOverlay class

地图覆盖物基类

Implementers
  - Marker
  - Polygon
  - Polyline

## Constructors

BaseOverlay ()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

clone () → BaseOverlay
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setIdForCopy (String copyId) → void
toMap () → Map <String, dynamic>
toString () → String
  Returns a string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited